## Copyright (C) 2020 Jens
## 
## This program is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see
## <https://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {} {@var{retval} =} results (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: Jens <jens@orion>
## Created: 2020-12-20

function retval = results_tc()

load ('logs/tc_trace.mat')

close all;

figure(1)

set(0, "defaultlinelinewidth", 1.5);
subplot(2,1,1)
plot(time, theta_ist_model, time, theta_ist_model_delay, time, theta_ist_plant); grid
title("Temperature [°C]")
legend("Model","Model*z","Plant")

subplot(2,1,2)
plot(time, dtheta_ist_model, time, dtheta_ist_model_delay, time, dtheta_ist_plant); grid
title("Heatrate [°C/min]")
legend("Model","Model*z","Plant")

endfunction
